# Uses of Interface
org.eclipse.emf.cdo.common.revision.CDORevisionKey

Packages that use CDORevisionKey
Package
Description
org.eclipse.emf.cdo.common.commit
Common concepts for dealing with commits and change sets.
org.eclipse.emf.cdo.common.protocol
Common concepts for dealing with protocols and CDO-specific I/O.
org.eclipse.emf.cdo.common.revision
Common concepts for dealing with revisions and revision lists.
org.eclipse.emf.cdo.common.revision.delta
Common concepts for dealing with revision deltas and feature deltas.
org.eclipse.emf.cdo.spi.common.commit
Common service provider interfaces and useful base implementations for dealing with commits and change sets.
org.eclipse.emf.cdo.spi.common.protocol
Common base implementations for dealing with I/O of CDO data structures.
org.eclipse.emf.cdo.spi.common.revision
Common service provider interfaces and useful base implementations for dealing with revisions and deltas.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.
org.eclipse.emf.cdo.util
Client utility classes, some common interfaces and exceptions.
org.eclipse.emf.cdo.view
Client concepts for dealing with views, view sets, queries, CDO objects and EMF resource sets.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDORevisionKey in org.eclipse.emf.cdo.common.commit

Methods in org.eclipse.emf.cdo.common.commit that return CDORevisionKey
Modifier and Type
Method
Description
`default CDORevisionKey`
CDOChangeSetData.`getChangedObject(CDOID id)`
Methods in org.eclipse.emf.cdo.common.commit that return types with arguments of type CDORevisionKey
Modifier and Type
Method
Description
`List<CDORevisionKey>`
CDOChangeSetData.`getChangedObjects()`
Returns a list of revision keys denoting which (original) revisions have been changed in the context of a commit operation.

## Uses of CDORevisionKey in org.eclipse.emf.cdo.common.protocol

Methods in org.eclipse.emf.cdo.common.protocol that return CDORevisionKey
Modifier and Type
Method
Description
`CDORevisionKey`
CDODataInput.`readCDORevisionKey()`
Methods in org.eclipse.emf.cdo.common.protocol with parameters of type CDORevisionKey
Modifier and Type
Method
Description
`void`
CDODataOutput.`writeCDORevisionKey(CDORevisionKey revisionKey)`

## Uses of CDORevisionKey in org.eclipse.emf.cdo.common.revision

Subinterfaces of CDORevisionKey in org.eclipse.emf.cdo.common.revision
Modifier and Type
Interface
Description
`interface`
`CDORevision`
Encapsulates the immutable system information of a single CDO `object` between two `commits` in a `branch` and provides access to its modeled `data`.
`static interface`
`CDORevisionCache.EvictionEvent`
An `event` fired from a `revision cache` for `revisions` that are evicted because they are no longer strongly referenced when free memory runs low.
Methods in org.eclipse.emf.cdo.common.revision that return CDORevisionKey
Modifier and Type
Method
Description
`static CDORevisionKey`
CDORevisionUtil.`copyRevisionKey(CDORevisionKey source)`
`static CDORevisionKey`
CDORevisionUtil.`createRevisionKey(CDOID id, CDOBranch branch, int version)`
`static CDORevisionKey`
CDORevisionUtil.`parseRevisionKey(String source, CDOBranchManager branchManager)`
Methods in org.eclipse.emf.cdo.common.revision with parameters of type CDORevisionKey
Modifier and Type
Method
Description
`int`
CDORevisionUtil.CDORevisionComparator.`compare(CDORevisionKey rev1, CDORevisionKey rev2)`
`static CDORevisionKey`
CDORevisionUtil.`copyRevisionKey(CDORevisionKey source)`
`static String`
CDORevisionUtil.`formatRevisionKey(CDORevisionKey key)`

## Uses of CDORevisionKey in org.eclipse.emf.cdo.common.revision.delta

Subinterfaces of CDORevisionKey in org.eclipse.emf.cdo.common.revision.delta
Modifier and Type
Interface
Description
`interface`
`CDORevisionDelta`
Represents the change delta between two `revisions` of a CDO object.

## Uses of CDORevisionKey in org.eclipse.emf.cdo.spi.common.commit

Methods in org.eclipse.emf.cdo.spi.common.commit that return types with arguments of type CDORevisionKey
Modifier and Type
Method
Description
`Map<CDOID,CDORevisionKey>`
CDORevisionAvailabilityInfo.`getAvailableRevisions()`
Methods in org.eclipse.emf.cdo.spi.common.commit with parameters of type CDORevisionKey
Modifier and Type
Method
Description
`void`
CDORevisionAvailabilityInfo.`addRevision(CDORevisionKey key)`

## Uses of CDORevisionKey in org.eclipse.emf.cdo.spi.common.protocol

Methods in org.eclipse.emf.cdo.spi.common.protocol that return CDORevisionKey
Modifier and Type
Method
Description
`CDORevisionKey`
CDODataInputImpl.`readCDORevisionKey()`
Methods in org.eclipse.emf.cdo.spi.common.protocol with parameters of type CDORevisionKey
Modifier and Type
Method
Description
`void`
CDODataOutputImpl.`writeCDORevisionKey(CDORevisionKey revisionKey)`

## Uses of CDORevisionKey in org.eclipse.emf.cdo.spi.common.revision

Subinterfaces of CDORevisionKey in org.eclipse.emf.cdo.spi.common.revision
Modifier and Type
Interface
Description
`interface`
`InternalCDORevision`
If the meaning of this type isn't clear, there really should be more of a description here...
`interface`
`InternalCDORevisionDelta`
If the meaning of this type isn't clear, there really should be more of a description here...
Classes in org.eclipse.emf.cdo.spi.common.revision that implement CDORevisionKey
Modifier and Type
Class
Description
`class`
`AbstractCDORevision`
If the meaning of this type isn't clear, there really should be more of a description here...
`class`
`BaseCDORevision`
If the meaning of this type isn't clear, there really should be more of a description here...
`class`
`DelegatingCDORevision`
If the meaning of this type isn't clear, there really should be more of a description here...
`class`
`DetachedCDORevision`
If the meaning of this type isn't clear, there really should be more of a description here...
`class`
`PointerCDORevision`
A `synthetic` revision that represents the initial period of an object in a `branch` when the object is still associated with a revision from one of the baseline branches.
`class`
`StubCDORevision`
If the meaning of this type isn't clear, there really should be more of a description here...
`class`
`SyntheticCDORevision`
A synthetic revision that represents the initial period of an object in a `branch` when the object is still associated with a revision from one of the baseline branches.

## Uses of CDORevisionKey in org.eclipse.emf.cdo.spi.server

Method parameters in org.eclipse.emf.cdo.spi.server with type arguments of type CDORevisionKey
Modifier and Type
Method
Description
`CDOSessionProtocol.LockObjectsResult`
InternalRepository.`lock(InternalView view, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type, List<CDORevisionKey> keys, boolean recursive, long timeout)`

## Uses of CDORevisionKey in org.eclipse.emf.cdo.util

Methods in org.eclipse.emf.cdo.util that return CDORevisionKey
Modifier and Type
Method
Description
`CDORevisionKey[]`
StaleRevisionLockException.`getStaleRevisions()`
Constructors in org.eclipse.emf.cdo.util with parameters of type CDORevisionKey
Modifier
Constructor
Description
``
`StaleRevisionLockException(CDORevisionKey[] staleRevisions)`

## Uses of CDORevisionKey in org.eclipse.emf.cdo.view

Methods in org.eclipse.emf.cdo.view with parameters of type CDORevisionKey
Modifier and Type
Method
Description
`void`
CDOInvalidationPolicy.`handleInvalidation(CDOObject object, CDORevisionKey key)`

## Uses of CDORevisionKey in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that return CDORevisionKey
Modifier and Type
Method
Description
`CDORevisionKey[]`
CDOSessionProtocol.LockObjectsResult.`getStaleRevisions()`
Methods in org.eclipse.emf.spi.cdo that return types with arguments of type CDORevisionKey
Modifier and Type
Method
Description
`List<CDORevisionKey>`
InternalCDOView.ViewInvalidationData.`getAllChangedObjects()`
Methods in org.eclipse.emf.spi.cdo with parameters of type CDORevisionKey
Modifier and Type
Method
Description
`void`
CDOSessionProtocol.RefreshSessionResult.`addDetachedObject(CDORevisionKey revision)`
Method parameters in org.eclipse.emf.spi.cdo with type arguments of type CDORevisionKey
Modifier and Type
Method
Description
`CDOSessionProtocol.LockObjectsResult`
CDOSessionProtocol.`delegateLockObjects(String lockAreaID, List<CDORevisionKey> revisionKeys, CDOBranch viewedBranch, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType, boolean recursive, long timeout)`
`void`
InternalCDOView.`invalidate(CDOBranch branch, long lastUpdateTime, List<CDORevisionKey> allChangedObjects, List<CDOIDAndVersion> allDetachedObjects, Map<CDOID,InternalCDORevision> oldRevisions, boolean async)`
Deprecated.
As of 4.2.
`void`
InternalCDOView.`invalidate(CDOBranch branch, long lastUpdateTime, List<CDORevisionKey> allChangedObjects, List<CDOIDAndVersion> allDetachedObjects, Map<CDOID,InternalCDORevision> oldRevisions, boolean async, boolean clearResourcePathCache)`
Deprecated.
As of 4.6.
`CDOSessionProtocol.LockObjectsResult`
CDOSessionProtocol.`lockObjects2(List<CDORevisionKey> revisionKeys, int viewID, CDOBranch viewedBranch, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType, boolean recursive, long timeout)`
`void`
InternalCDOView.ViewInvalidationData.`setAllChangedObjects(List<CDORevisionKey> allChangedObjects)`
Constructors in org.eclipse.emf.spi.cdo with parameters of type CDORevisionKey
Modifier
Constructor
Description
``
`LockObjectsResult(boolean successful, boolean timedOut, boolean waitForUpdate, long requiredTimestamp, CDORevisionKey[] staleRevisions)`
Deprecated.
``
`LockObjectsResult(boolean successful, boolean timedOut, boolean waitForUpdate, long requiredTimestamp, CDORevisionKey[] staleRevisions, List<CDOLockDelta> lockDeltas, List<CDOLockState> lockStates, long timestamp)`
``
`LockObjectsResult(boolean successful, boolean timedOut, boolean waitForUpdate, long requiredTimestamp, CDORevisionKey[] staleRevisions, CDOLockState[] newLockStates, long timestamp)`
Deprecated.